Skip to main content
`Ctrl`+`K`

# VecDotEnd

Ends a split phase dot product computation.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecDotEnd(Vec x, Vec y, PetscScalar *result)

## Input Parameters

- x - the first vector (can be `NULL`)

- y - the second vector (can be `NULL`)

- result - where the result will go

## Notes

Each call to `VecDotBegin()` should be paired with a call to `VecDotEnd()`.

## See Also

`VecDotBegin()`, `VecNormBegin()`, `VecNormEnd()`, `VecNorm()`, `VecDot()`, `VecMDot()`, `VecTDotBegin()`, `VecTDotEnd()`, `PetscCommSplitReductionBegin()`

## Level

advanced

## Location

src/vec/vec/utils/comb.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages